Module java.desktop
Package java.awt.dnd

# Class DropTarget.DropTargetAutoScroller

java.lang.Object
java.awt.dnd.DropTarget.DropTargetAutoScroller

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Enclosing class:
  DropTarget

    protected static class DropTarget.DropTargetAutoScroller
    extends Object
    implements ActionListener

this protected nested class implements autoscrolling

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `DropTargetAutoScroller​(Component c, Point p)` | construct a DropTargetAutoScroller

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `actionPerformed​(ActionEvent e)` | cause autoscroll to occur
`protected void` | `stop()` | cause autoscrolling to stop
`protected void` | `updateLocation​(Point newLocn)` | cause autoscroll to occur

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DropTargetAutoScroller

protected DropTargetAutoScroller​(Component c, Point p)
construct a DropTargetAutoScroller

Parameters:
  `c` - the `Component`
  `p` - the `Point`

## Method Details

### updateLocation

protected void updateLocation​(Point newLocn)
cause autoscroll to occur

Parameters:
  `newLocn` - the `Point`

### stop

protected void stop()
cause autoscrolling to stop

### actionPerformed

public void actionPerformed​(ActionEvent e)
cause autoscroll to occur

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - the `ActionEvent`